Browse Source

dev-python/napalm: New package

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Alarig Le Lay <alarig@swordarmor.fr
master
Alarig Le Lay 3 months ago
parent
commit
83db7b9993
Signed by: alarig GPG Key ID: 7AFE62C6DF8BCDEC
  1. 1
      dev-python/napalm/Manifest
  2. 10
      dev-python/napalm/metadata.xml
  3. 37
      dev-python/napalm/napalm-3.3.1.ebuild

1
dev-python/napalm/Manifest

@ -0,0 +1 @@
DIST napalm-3.3.1.tar.gz 223165 BLAKE2B 0d2729770509b394b3eed7b12afeb13463b8608b4f40fbc34d8916f4a5670dace6f536c0a4fd98c20ef6db821f58960c1e4e5da9ff4cb12db53c6cef14e81082 SHA512 77209644bc94c54d8dd4cd3486cd0f10ab87cef3b6daafd7c51e67611cce41327902c40fbdb949de4a31e8fd9f6fc7b4fafee7be3aeb085d95f8bb1c0162ded7

10
dev-python/napalm/metadata.xml

@ -0,0 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="pypi">django-graphiql-debug-toolbar</remote-id>
</upstream>
</pkgmetadata>

37
dev-python/napalm/napalm-3.3.1.ebuild

@ -0,0 +1,37 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Network Automation and Programmability Abstraction Layer"
HOMEPAGE="https://pypi.org/project/napalm/
https://github.com/napalm-automation/napalm"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="
>=dev-python/setuptools-38.4.0[${PYTHON_USEDEP}]
>=dev-python/cffi-1.11.3[${PYTHON_USEDEP}]
>=dev-python/paramiko-2.6.0[${PYTHON_USEDEP}]
>=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
dev-python/textfsm[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/pyeapi[${PYTHON_USEDEP}]
dev-python/netmiko[${PYTHON_USEDEP}]
>=dev-python/junos-eznc-2.2.1[${PYTHON_USEDEP}]
dev-python/ciscoconfparse[${PYTHON_USEDEP}]
dev-python/scp[${PYTHON_USEDEP}]
>=dev-python/lxml-4.3.0[${PYTHON_USEDEP}]
dev-python/ncclient[${PYTHON_USEDEP}]
"
RDEPEND="${DEPEND}"
BDEPEND=""
Loading…
Cancel
Save